<?php
session_start();
require('../cfg/cfg.php');
require('../cfg/res.php');
die('CONTA ERROR');
$idnum=$_POST['idnum'];
$docu=$_POST['docu'];


$sql_empr='select * from empr1';
$res_empr=mysql_query($sql_empr,$link_vcrx);
$empr_ruc=mysql_result($res_empr,0,'empr_ruc');
$empr=mysql_result($res_empr,0,'empr_codigo');


// VALIDA DOCU
$tdocu=substr($docu,0,2);

if(substr($docu,2,2)=="00")
{die('Docu NO CONTABLE');}


$sql_docu='select * from docu0 where docu_codigo="'.$docu.'"';
$res_docu=mysql_query($sql_docu,$link_vcrx);



if($res_docu==0)
{die('Error en DOCU');}

// DOCU

$tabla=strtolower(mysql_result($res_docu,0,'docu_tabla'));
$tabla1=$tabla.'1';
$tabla2=$tabla.'2';
$tabla11=$tabla.'11';
$tabla12=$tabla.'12';

$ctadeb=mysql_result($res_docu,0,'docu_ctadeb');
$ctacre=mysql_result($res_docu,0,'docu_ctacre');
$ctadcto=mysql_result($res_docu,0,'docu_ctadcto');
$ctaice=mysql_result($res_docu,0,'docu_ctaice');
$ctaiva=mysql_result($res_docu,0,'docu_ctaiva');
$ctairbp=mysql_result($res_docu,0,'docu_ctairbp');

$rescont=mysql_result($res_docu,0,'docu_rescont');

if($ctadcto==""){$ctadcto=$ctacre;}
if($ctaice==""){$ctaice=$ctadeb;}
if($ctaiva==""){$ctaiva=$ctadeb;}
if($ctairbp==""){$ctairbp=$ctadeb;}



// capturo el id de contabilidad
// $sql_cont='select * from cont1 where docu="'.$docu.'" and idfrom="'.$idnum.'"';
$sql_cont='select * from cont1 where mdfrom="'.strtoupper($tabla).'" and idfrom="'.$idnum.'"';
$res_cont=mysql_query($sql_cont,$link_vcrx);
if($res_cont==0)
{
	$sql_icont='insert into cont1(docu,idfrom,status) value("'.$docu.'","'.$idnum.'","-")';
	$res_icont=mysql_query($sql_icont,$link_vcrx);
}
$res_cont=mysql_query($sql_cont,$link_vcrx);
$idcont=mysql_result($res_cont,0,'idnum1');

$sql_cont='delete cont2 where idnum2="'.$idcont.'"';
$res_cont=mysql_query($sql_cont,$link_vcrx);


$sql_tab1='select * from '.$tabla1.' where idnum1="'.$idnum.'"';
$res_tab1=mysql_query($sql_tab1,$link_vcrx);
if($res_tab1==0){die('ERROR EN TABLA 1')}

$sql_tab2='select * from '.$tabla2.' where idnum2="'.$idnum.'" order by iddet';
$res_tab2=mysql_query($sql_tab2,$link_vcrx);
if($res_tab2==0){die('ERROR EN TABLA 2')}

$sql_tab11='select * from '.$tabla11.' where idnum1="'.$idnum.'"';
$res_tab11=mysql_query($sql_tab11,$link_vcrx);
if($res_tab11==0){die('ERROR EN TABLA 11')}

$sql_tab12='select * from '.$tabla12.' where idnum2="'.$idnum.'" order by iddet';
$res_tab12=mysql_query($sql_tab12,$link_vcrx);
if($res_tab12==0){die('ERROR EN TABLA 12')}


$ptoe=mysql_result($res_tab1,0,'ptoe');
$numero=mysql_result($res_tab1,0,'numero');
$fecha=mysql_result($res_tab1,0,'fecha');
$enti=mysql_result($res_tab1,0,'enti');
$status=mysql_result($res_tab1,0,'status');
$concepto=mysql_result($res_tab1,0,'concepto');

$sql_upd1='update '.$tabla1.' set ';
$sql_upd1.=' ptoe="'.$ptoe.'",';
$sql_upd1.=' numero="'.$numero.'",';
$sql_upd1.=' fecha="'.$fecha.'",';
$sql_upd1.=' enti="'.$enti.'",';
$sql_upd1.=' status="'.$status.'",';
$sql_upd1.=' concepto="'.$concepto.'" ';
$sql_upd1.=' where idnum1='.$idcont.'';
$res_upd1=mysql_query($sql_upd1,$link_vcrx);

$sql_upd1='update '.$tabla1.' set ';

if ($tabla=='vtas')
{
}

if ($tabla=='comp')
{
}

if ($tabla=='caja')
{
}

if ($tabla=='bcos')
{
}

if ($tabla=='retc')
{
}

if ($tabla=='retp')
{
}

if ($tabla=='inve')
{
}

if ($tabla=='nomi')
{
}

$sql_upd1.=' concepto="XXX'.$concepto.'" ';
$sql_upd1.=' where idnum1="'.$idcont.'"';
$res_upd1=mysql_query($sql_upd1,$link_vcrx);

$res_tab1=mysql_query($sql_tab1,$link_vcrx);
$res_tab2=mysql_query($sql_tab2,$link_vcrx);
$res_tab11=mysql_query($sql_tab11,$link_vcrx);
$res_tab12=mysql_query($sql_tab12,$link_vcrx);


$iddet=0;
if ($tabla=='vtas' or $tabla=='comp')
{
	$concepto=mysql_result($res_tab11,0,'concepto');
	$total=abs(mysql_result($res_tab11,0,'total'));
	$tdcto=abs(mysql_result($res_tab11,0,'tdcto'));
	$tice=abs(mysql_result($res_tab11,0,'tice'));
	$tiva=abs(mysql_result($res_tab11,0,'tiva'));
	$tirbp=abs(mysql_result($res_tab11,0,'tirbp'));

	if(mb_stristr('FC.NP.NV',$tdocu)){$stran=1;}
	if(mb_stristr('FP.NC',$tdocu)){$stran=-1;}
	
	if($tabla=='comp'){$ctadeb=$r_deta['ctas'];}
	if($tabla=='comp'){$ctadcto=$ctadeb;}

	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	if($stran==1)
	{$sql_upd2.=' ctas="'.$ctadeb.'",';}
	if($stran==-1)
	{$sql_upd2.=' ctas="'.$ctacre.'",';}
	$sql_upd2.=' cant='.$total*$stran.',';
	$sql_upd2.=' detalle="'.$concepto.'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	

	echo '******'.$tdcto;
	if($tdcto!=0)
	{
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	$sql_upd2.=' ctas="'.$ctadcto.'",';
	$sql_upd2.=' cant='.$tdcto*$stran.',';
	$sql_upd2.=' detalle="'.$concepto.'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
		echo $sql_upd2;
	}

	if($tice!=0)
	{
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	$sql_upd2.=' ctas="'.$ctaice.'",';
	$sql_upd2.=' cant='.$tice*$stran.'*-1,';
	$sql_upd2.=' detalle="'.$concepto.'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	}

	if($tiva!=0)
	{
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	$sql_upd2.=' ctas="'.$ctaiva.'",';
	$sql_upd2.=' cant='.$tiva*$stran.'*-1,';
	$sql_upd2.=' detalle="'.$concepto.'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	}

	if($tirbp!=0)
	{
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	$sql_upd2.=' ctas="'.$ctairbp.'",';
	$sql_upd2.=' cant='.$tirbp*$stran.'*-1,';
	$sql_upd2.=' detalle="'.$concepto.'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
		
	echo $sql_upd2;	
	}

	if ($rescont==1)
	{$res_tdet=mysql_query($sql_tab11,$link_vcrx);}
	else
	{$res_tdet=mysql_query($sql_tab12,$link_vcrx);}
	while($r_deta=mysql_fetch_assoc($res_tdet))
	{
	$ctadet=$r_deta['ctas'];
	if ($ctadet=="")
	{
	if($stran==1){$ctadet=$ctacre;}
	if($stran==-1){$ctadet=$ctadeb;}
	}
		
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	$sql_upd2.=' ctas="'.$ctadet;}
	$sql_upd2.=' cant='.$r_deta['tsubt']*$stran.'*-1,';
	$sql_upd2.=' csub='.$r_deta['csub']',';
	$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	}







}




if ($tabla=='caja')
{
}

if ($tabla=='bcos')
{
}

if ($tabla=='retc')
{
}

if ($tabla=='retp')
{
}

if ($tabla=='inve')
{
}

if ($tabla=='nomi')
{
}


}





$res_tdet=mysql_query($sql_tab12,$link_vcrx);
while($r_deta=mysql_fetch_assoc($res_tdet))
{
//$iddet=0;

if ($tabla=='vtas' or $tabla=='comp')
{
// 	if(mb_stristr('FC.NV.NP',$tdocu)){$stran=1;}
// 	if(mb_stristr('FP.NC',$tdocu)){$stran=-1;}
	
	if(mb_stristr('FC.NV.FP',$tdocu)){$stran=1;}
	if(mb_stristr('NC.NP',$tdocu)){$stran=-1;}
	
// 	if($tabla=='comp'){$ctadeb=$r_deta['ctas'];}

// 	if($stran==1)
	if(1==1)
	{
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	 	if($tabla=='vtas' && $stran==1)	{$sql_upd2.=' ctas="'.$ctadeb.'",';}
	 	if($tabla=='vtas' && $stran==-1)	{$sql_upd2.=' ctas="'.$ctacre.'",';}
	 	if($tabla=='comp' && $stran==1)	{$sql_upd2.=' ctas="'.$ctacre.'",';}
	 	if($tabla=='comp' && $stran==-1)	{$sql_upd2.=' ctas="'.$ctadeb.'",';}

		$sql_upd2.=' cant='.abs($r_deta['tsubt'])*$stran*1.',';
	
// 	$sql_upd2.=' cant='.abs($r_deta['tsubt'])*$stran*-1.',';
	$sql_upd2.=' item="'.$r_deta['item'].'",';
	if($tabla=='comp')
	{
	$sql_upd2.=' csub="'.$r_deta['sub'].'",';
	$sql_upd2.=' cair="'.$r_deta['cair'].'",';
	}	
		
	$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	}
	
	if($stran==-1 && 1==0)
	{
	$iddet++;
	$sql_upd2='insert into cont2(idnum2,iddet,cant)value("'.$idcont.'","'.$iddet.'",0)';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);

	$sql_upd2='update cont2 set ';	
	$sql_upd2.=' ctas="'.$ctadeb.'",';
	$sql_upd2.=' cant='.abs($r_deta['tsubt'])*$stran.',';
	$sql_upd2.=' item="'.$r_deta['item'].'",';
	if($tabla=='comp')
	{
	$sql_upd2.=' csub="'.$r_deta['sub'].'",';
	$sql_upd2.=' cair="'.$r_deta['cair'].'",';
	}	
	$sql_upd2.=' detalle="'.$r_deta['detalle'].'"';
	$sql_upd2.=' where idnum2="'.$idcont.'" and iddet="'.$iddet.'"';
	$res_upd2=mysql_query($sql_upd2,$link_vcrx);
	}

}



}




?>